Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render
Class AbstractRendererConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractConfigurator
          org.apache.fop.render.AbstractRendererConfigurator

Direct Known Subclasses:
  PrintRendererConfigurator, XMLHandlerConfigurator

    public abstract class AbstractRendererConfigurator

extends AbstractConfigurator

Abstract base classes for renderer-related configurator classes. This class basically just provides an accessor to the specific renderer configuration object.

Field Summary

Fields inherited from class org.apache.fop.render.AbstractConfigurator
`log, userAgent`

Constructor Summary
`AbstractRendererConfigurator(FOUserAgent userAgent)` Default constructor

Method Summary
`protected org.apache.avalon.framework.configuration.Configuration` | `getRendererConfig(Renderer renderer)` Returns the configuration subtree for a specific renderer.
`protected org.apache.avalon.framework.configuration.Configuration` | `getRendererConfig(java.lang.String mimeType)` Returns the configuration subtree for a specific renderer.
`java.lang.String` | `getType()` Returns the configurator type

Methods inherited from class org.apache.fop.render.AbstractConfigurator
`getConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRendererConfigurator

    public AbstractRendererConfigurator(FOUserAgent userAgent)

  Default constructor

  Parameters:
    `userAgent` - user agent

Method Detail

### getRendererConfig

    protected org.apache.avalon.framework.configuration.Configuration getRendererConfig(Renderer renderer)

  Returns the configuration subtree for a specific renderer.

  Parameters:
    `renderer` - the renderer
  Returns:
    the requested configuration subtree, null if there's no configuration

### getRendererConfig

    protected org.apache.avalon.framework.configuration.Configuration getRendererConfig(java.lang.String mimeType)

  Returns the configuration subtree for a specific renderer.

  Parameters:
    `mimeType` - the MIME type of the renderer
  Returns:
    the requested configuration subtree, null if there's no configuration

### getType

    public java.lang.String getType()

  Returns the configurator type

  Specified by:
    `getType` in class `AbstractConfigurator`
  Returns:
    the configurator type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.